<p>
 Izvrsno! Vaše rješenje je točno. U nastavku je još jednom prikazan
 način na koji je zadatak trebalo riješiti.
</p>

<pre><code>library ieee;
use ieee.std_logic_1164.all;

ENTITY sklop2 IS PORT (
  a,b,c,d: IN std_logic;
  f,g,h: OUT std_logic);
END sklop2;

ARCHITECTURE dataflow OF sklop2 IS
  SIGNAL s1, s2: std_logic;
BEGIN
  f  &lt;= a xor b;
  s1 &lt;= a and b;
  s2 &lt;= c and d;
  h  &lt;= c nand d;
  g  &lt;= s2 or s1;
END dataflow;</code></pre>

